> ## Documentation Index
> Fetch the complete documentation index at: https://developers.getfernand.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get AI usage statistics

Returns statistics about the organization's AI data used for RAG (Vector Store).


## OpenAPI

````yaml https://api.getfernand.com/openapi.json get /organization/rag/statistics
openapi: 3.0.3
info:
  title: Fernand API Documentation
  version: '3.0'
  description: This is the documentation for the [Fernand](https://getfernand.com) API.
  termsOfService: https://getfernand.com/terms
  contact:
    name: Fernand Support
    url: https://getfernand.com
    email: support@getfernand.com
  x-logo:
    url: https://app.getfernand.com/images/favicon/icon_128.png
servers:
  - url: https://api.getfernand.com
    description: ''
    x-last-modified: 1764750693905
security:
  - apiKeyHeader: []
externalDocs:
  description: You can access our documentation online by visiting https://api.fernand.help
  url: https://api.fernand.help
paths:
  /organization/rag/statistics:
    get:
      tags:
        - RAG (AI data)
      summary: Get AI usage statistics
      description: >-
        Returns statistics about the organization's AI data used for RAG (Vector
        Store).
      operationId: getAIStatistics
      responses:
        '200':
          description: Statistics retrieved successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  max_size:
                    type: integer
                    description: Maximum vector store size in bytes.
                    example: 10485760
                  statistics:
                    type: object
                    description: Statistics by content type.
                    properties:
                      messages:
                        type: object
                        properties:
                          count:
                            type: integer
                            example: 150
                          size:
                            type: integer
                            description: Total size in bytes.
                            example: 2048576
                      articles:
                        type: object
                        properties:
                          count:
                            type: integer
                            example: 25
                          size:
                            type: integer
                            example: 1024000
                      links:
                        type: object
                        properties:
                          count:
                            type: integer
                            example: 10
                          size:
                            type: integer
                            example: 512000
                      questions:
                        type: object
                        properties:
                          count:
                            type: integer
                            example: 40
                          size:
                            type: integer
                            example: 204800
                      texts:
                        type: object
                        properties:
                          count:
                            type: integer
                            example: 15
                          size:
                            type: integer
                            example: 307200
                      files:
                        type: object
                        properties:
                          count:
                            type: integer
                            example: 5
                          size:
                            type: integer
                            example: 4096000
                  status:
                    type: object
                    description: Processing status.
                    properties:
                      is_articles_processing:
                        type: boolean
                        description: Whether articles are currently being processed.
                        example: false
                      is_messages_processing:
                        type: boolean
                        description: Whether messages are currently being processed.
                        example: false
                      processing_urls:
                        type: string
                        description: URL currently being processed (if any).
                        example: https://example.com/page
components:
  securitySchemes:
    apiKeyHeader:
      type: apiKey
      description: >-
        Authenticate your account by including your secret key in API requests.

        You can manage your API keys in the
        [Dashboard](https://app.getfernand.com/).


        Authentication to the API is performed by using the HTTP Header
        X-API-Key.
      name: X-API-Key
      in: header
      x-last-modified: 1764750344730

````